Buongiorno e benvenuto.
Per prima cosa Qt 5.9 e Qt 5.10 (la versione piu' recente al momento) sono "binary compatible" quindi puoi sostituirli senza problemi (anzi, se usi licenze GPL/LGPL, la sostituibilita' e' un requisito).

Il problema grosso e'

con tutte le opzioni spuntate durante l'installazione

Se usi Qt Creator e non Visual Studio (come IDE) non hai nemmeno bisogno di VS community edition.

Disinstalla Qt, Visual Studio e anche tutti i MinGW che ti si sono installati con Qt quando hai spuntato tutto (o ripristina il sistema con lo strumento di windows a prima dell'installazione) Installa VS Build Tools 2015 Intstalla Qt con solo queste opzioni spuntate:

Tutto dovrebbe funzionare in automatico senza altri problemi